Bug 525327 - Cheese webcam software doesn't produce streaming video when running Fedora 12 Snap3 i686 cd on Intel 845 chipset
Summary: Cheese webcam software doesn't produce streaming video when running Fedora 12...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 22:40 UTC by kivar
Modified: 2018-04-11 18:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:39:23 UTC


Attachments (Terms of Use)
Xorg logfile as requested (49.88 KB, application/x-troff-man)
2009-09-25 23:50 UTC, kivar
no flags Details
messages logfile as requested (126.36 KB, application/x-troff-man)
2009-09-25 23:52 UTC, kivar
no flags Details
dmesg logfile as requested (30.63 KB, text/plain)
2009-09-25 23:54 UTC, kivar
no flags Details
dmesg.eyetoy log file as requested by Hans de Goede (40.37 KB, text/plain)
2009-09-26 02:22 UTC, kivar
no flags Details
Xorg logfile from laptop using Intel 965 video chipset (82.45 KB, text/plain)
2009-09-26 02:30 UTC, kivar
no flags Details

Description kivar 2009-09-23 22:40:36 UTC
Description of problem:
Cheese webcam software doesn't generate/produce streaming video when trying to use a Sony playstation 2 eyetoy usb camera with an machine using an Intel 845 chipset when running the Fedora 12 Snap3 i686 live cd.



Version-Release number of selected component (if applicable):


How reproducible:

Whenever trying to use the Cheese Webcam Software with a ps2 eyetoy usb camera on a machine using the Intel 845 video chipset.


Steps to Reproduce:
1.Boot Fedora 12 Snap3 i686 live cd on a machine using the Intel 845 chipset.

2.Connect the ps2 eytoy to a usb port

3.Run the Cheese webcam software

  
Actual results:

The Cheese software starts up, recognizes/sees the ps2 eytoy under the Intel 845 chipset, but fails to generate streaming video from it like it does my laptop which uses an Intel 965 video chipset.


The cheese software *DOES* generate snapshots from the ps2 eytoy under the Intel 845 chipset, so the ps2 eytoy kernel driver itself seems to see and recognize the eyetoy.


Expected results:
The Cheese Webcam software should display video from the eyetoy camera as it does on on my laptop which uses an Intel 965 video chipset.


Additional info:

Comment 1 Matěj Cepl 2009-09-24 22:13:11 UTC
I am just not persuaded enough that it is Xorg problem. Reassigning for investigation and confirmation to cheese maintainers. Is this really Xorg?

If you will return here, please attach /var/log/Xorg.0.log, /var/log/messages, and the output of dmesg command after running cheese and trying it.

Comment 2 Matěj Cepl 2009-09-24 22:13:50 UTC
Are there any logs from cheese which could show more what's going on?

Comment 3 Hans de Goede 2009-09-25 13:52:26 UTC
Kivar, so the same webcam does work with F12 snap 3 on a different computer (your laptop), correct ?

Can you please attach the output of dmesg (use "dmesg > log", after trying to
stream ?

Comment 4 kivar 2009-09-25 23:50:33 UTC
Created attachment 362731 [details]
Xorg logfile as requested

Comment 5 kivar 2009-09-25 23:52:57 UTC
Created attachment 362732 [details]
messages logfile as requested

Comment 6 kivar 2009-09-25 23:54:42 UTC
Created attachment 362733 [details]
dmesg logfile as requested

Comment 7 kivar 2009-09-26 00:07:21 UTC
(In reply to comment #1)
> I am just not persuaded enough that it is Xorg problem. Reassigning for
> investigation and confirmation to cheese maintainers. Is this really Xorg?

I think it is Xorg. When you look at the Xorg.0.log for the machine with the Intel 845 chipset you'll see the following..... 

*********************************************************************
(==) intel(0): Intel XvMC decoder disabled
(WW) intel(0): Disabling Xv because no adaptors could be initialized.
**********************************************************************

If I'm right, this would explain why the eyetoy isn't generating
streaming video under the Intel 845 chipset,but is under the Intel 
965 video chipset, wouldn't it?

> 
> If you will return here, please attach /var/log/Xorg.0.log, /var/log/messages,
> and the output of dmesg command after running cheese and trying it.  

Already uploaded.

Comment 8 kivar 2009-09-26 02:22:48 UTC
Created attachment 362735 [details]
dmesg.eyetoy log file as requested by Hans de Goede

Comment 9 kivar 2009-09-26 02:30:28 UTC
Created attachment 362736 [details]
Xorg logfile from laptop using Intel 965 video chipset

Comment 10 kivar 2009-09-26 02:53:51 UTC
(In reply to comment #3)
> Kivar, so the same webcam does work with F12 snap 3 on a different computer
> (your laptop), correct ?

Yes, it does, which pretty much causes me to rule the Cheese software out as a suspect in this particular case.

Now if the Cheese software *DIDN'T* run properly on both machines, I would suspect it more as being the primary cause of the problem I've run across with the eyetoy. 

> 
> Can you please attach the output of dmesg (use "dmesg > log", after trying to
> stream ?

Sure thing. Uploaded it as dmesg.eyetoy.

Also uploaded the Xorg logfile from my laptop using the Intel 965 video 
chipset for you guys to take a look at.

If you'll notice when it's compared to the Xorg logfile from the computer using the Intel 845 video chipsetfollowing line doesn't seem to appear in it.

**********************************************************************
(WW) intel(0): Disabling Xv because no adaptors could be initialized.
**********************************************************************

Comment 11 Hans de Goede 2009-09-27 19:16:16 UTC
As made clear by comment #10, this is clearly an xorg issue, changing component
back to the Intel driver.

Comment 13 Matěj Cepl 2009-11-05 17:17:11 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 14 kivar 2009-11-13 03:59:10 UTC
(In reply to comment #13)
> Since this bugzilla report was filed, there have been several major updates in
> various components of the Xorg system, which may have resolved this issue.
> Users who have experienced this problem are encouraged to upgrade their system
> to the latest version of their packages (at least F12Beta, but even better if
> the very latest versions).
> 
> Please, if you experience this problem on the up-to-date system, let us now in
> the comment for this bug, or whether the upgraded system works for you.
> 
> If you won't be able to reply in one month, I will have to close this bug as
> INSUFFICIENT_DATA. Thank you.
> 
> [This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm
> adding myself to the CC list for each bug, so I'll see any comments you make
> after this and do my best to make sure every issue gets proper attention.]  


I tried the first release of the F12Beta live cd but ran into the same error message in the Xorg logfile from the computer using the Intel 845 video chipset as before:

**********************************************************************
(WW) intel(0): Disabling Xv because no adaptors could be initialized.
**********************************************************************  

with the same result, no streaming video from the eyetoy.

I haven't had time to download the very latest versions of the F12Beta live cd to see if this bug had been fixed because of work, but hopefully I may have time to do so over the upcoming weekend.

Comment 15 Bug Zapper 2009-11-16 12:49:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Bug Zapper 2010-11-04 09:51:25 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Bug Zapper 2010-12-04 07:39:23 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.